org.jboss.netty.handler.codec.http

## Class DefaultHttpChunk

- java.lang.Object
- - org.jboss.netty.handler.codec.http.DefaultHttpChunk

- All Implemented Interfaces:
    HttpChunk

      public class DefaultHttpChunk
      extends Object
      implements HttpChunk

  The default `HttpChunk` implementation.

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.netty.handler.codec.http.HttpChunk

      `LAST_CHUNK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpChunk(ChannelBuffer content)` Creates a new instance with the specified chunk content.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChannelBuffer` | `getContent()` Returns the content of this chunk.
    `boolean` | `isLast()` Returns `true` if and only if this chunk is the 'end of content' marker.
    `void` | `setContent(ChannelBuffer content)` Sets the content of this chunk.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpChunk

          public DefaultHttpChunk(ChannelBuffer content)

      Creates a new instance with the specified chunk content. If an empty buffer is specified, this chunk becomes the 'end of content' marker.

  - ### Method Detail

    - #### getContent

          public ChannelBuffer getContent()

      Description copied from interface: `HttpChunk`
      Returns the content of this chunk. If this is the 'end of content' marker, `ChannelBuffers.EMPTY_BUFFER` will be returned.
      Specified by:
        `getContent` in interface `HttpChunk`

    - #### setContent

          public void setContent(ChannelBuffer content)

      Description copied from interface: `HttpChunk`
      Sets the content of this chunk. If an empty buffer is specified, this chunk becomes the 'end of content' marker.
      Specified by:
        `setContent` in interface `HttpChunk`

    - #### isLast

          public boolean isLast()

      Description copied from interface: `HttpChunk`
      Returns `true` if and only if this chunk is the 'end of content' marker.
      Specified by:
        `isLast` in interface `HttpChunk`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.